| Home | Libraries | People | FAQ | More

## BoostBook element `source`

source — Defines source code for a test

## Synopsis

source ::= (#PCDATA| snippet)*

## Description

This element will contain the source code for a testcase that will be generated from the documentation. To reduce the amount of escaping in the text, it is recommended to use CDATA sections, which look like this:

    <![CDATA[
    <your program text here: no escaping needed!>
    ]]>

In addition to CDATA sections, code snippets can be pulled in from `programlisting` elements using the `snippet` element.